/* google font */
@import url('https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@300&display=swap');

:root{
    --primary-color:hsl(330,87%,17%);
    --secondary-color:hsla(203,100%,13%,1);
}

body{
    font-family: 'Source Sans Pro', sans-serif;
    margin:0;
}

/* Start Back To Top */
.btn-backtotops{
    background-color:var(--primary-color);
    color:#fff;
    padding:10px;
    border-radius:10px;

    position:absolute;
    right:10px;
    bottom:10px;

    z-index:100;
}
/* End Back To Top */

/* Start header */
header{
    height:100vh;
    background:linear-gradient(
        30deg,
        rgba(0,0,0,0),
        rgba(0,0,0,0.5)
        ),url('../assets/img/banner/banner2.jpg');
    background-repeat:no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment:fixed;

    position: relative;
}

/* Start nav bar */
.navbar{
    background:linear-gradient(rgba(0,0,0,0.3),var(--secondary-color));
    padding:20px 30px;

    transition:all 0.7s;
}

.navmenus{
    background:linear-gradient(rgba(0,0,0,0.6),var(--secondary-color));
    padding:5px 30px;
}

.menuitems{
    color: #eee;
    font-size:14px;
    letter-spacing:1px;
}

.menuitems:hover{
    color:#1aeee8;
}

.lines1,.lines2,.lines3{
    width:25px;
    height:3px;
    margin:6px;

    transition: all 0.5s;
}

.crossxs .lines1{
    transform:rotate(-45deg) translate(-6px,6px);
}

.crossxs .lines2{
    opacity:0;
}

.crossxs .lines3{
    transform:rotate(45deg) translate(-6px,-6px);
}

/* End nav bar */

/* Start banner */
.banners{
    width: 80%;
    position:absolute;
    left:50%;
    top:50%;

    transform:translate(-50%,-50%);
}

.bannerheaders{
    animation-name:bananni;
    animation-duration:2s;
}

.bannerparagraph{
    animation-name:bananni;
    animation-duration:2s;
    animation-delay:0.8s;
    animation-fill-mode:backwards;
}

@keyframes bananni {
    0%{
        opacity:0;
        transform:translateX(-100px);
    }

    100%{
        opacity:1;
        transform:translateX(0);
    }
}
/* End Banner */

/* End header */

/* Start About US */

.aboutuss{
    background:linear-gradient(
        rgba(0,0,0,0.3),
        rgba(0,0,0,0.3)
        ),url('../assets/img/banner/banner2.jpg');
    background-size:cover;
    background-repeat:no-repeat;
    background-position:center;
    background-attachment:fixed;

    position: relative;
}

.aboutuss .lines{
    width:30%;
    height:1.2px;
    background-color:#fff;
    margin-bottom: 3px;
}

.aboutuss .lines:nth-of-type(2){
    width:20%;
    height:1px;
}

.aboutuss .lines:nth-of-type(3){
    width:10%;
    height:0.5px;
    margin-bottom:30px;
}

.aboutuss h5{
    background-color:#fff;
    color:#000;
    padding:10px;
    border-left:5px solid red;
}

.aboutuss h5 ~ p{
    text-align:left;
    margin:30px 0;
}

.aboutuss img{
    width:350px;
    position:absolute;
    bottom:0;
}

/* End About US */

/* Start Properties */
.titles{
    /* background-color:green; */
    text-transform:uppercase;
    color:var(--secondary-color);
    display:inline-block;
    padding:5px 20px;

    position: relative;
}

.titles::before,.titles::after{
    content:'';
    width:20px;
    height:20px;

    position:absolute;
}

.titles::before{
    border-left:3px solid var(--primary-color);
    border-bottom:3px solid var(--primary-color);

    left:0;
    bottom:0;
}

.titles::after{
    border-right:3px solid var(--primary-color);
    border-top:3px solid var(--primary-color);

    right:0;
    top:0;
}

.propertylists{
    color:#777;
    cursor:pointer;
}

.activeitems{
    color:var(--primary-color);
}

/* End Properties */

/* Start Adv Section */

.missions{
    background:var(--secondary-color);
}


.fromlefts{
    animation-name:fromleftani;
    animation-duration:3s;
}


.fromrights{
    animation-name:fromrightani;
    animation-duration:3s;
}

@keyframes fromleftani {
    0%{
        opacity:0;
        transform:translate(-100%);
    }

    100%{
        opacity:1;
        transform:translate(0%);
    }
}

@keyframes fromrightani{
    0%{
        opacity:0;
        transform:translateX(100%);
    }
    
    100%{
        opacity:1;
        transform:translateX(0%);
    }
}

/* End Adv Section */

/* Start Our Services */
.services{
    background:linear-gradient(
        200deg,
        var(--primary-color),
        var(--secondary-color)
    );
}

.servicecard{
    position: relative;

    white-space:pre-wrap;

    overflow:hidden;
}

.servicecard::before{
    content:'You  may need our services ? \A Try and upgrade your living  evenironment. \A \f004 \f004 \f004';
    font-family:'Font Awesome 5 Free';
    
    width:100%;
    height:100%;

    background-color:rgba(0,0,0,0.4);
    color:#fff;
    text-align:center;
    line-height:2;

    position:absolute;
    left:0;
    top:0;

    display:flex;
    justify-content:center;
    align-items:center;
    
    z-index:1;
}

.servicecard:hover::before{
    content:'';
    background-color:rgba(0,0,0,0.1);
}

.servicecard img{
    transition:transform .5s;
}

.servicecard:hover img{
    transform:scale(1.1);
}

.servicetext{
    width:40%;
    background-color:rgba(0,0,0,0.7);
    font-size:14px;
    text-align:center;
    letter-spacing:1px;

    opacity:0.7;

    position:absolute;
    right:0;
    top:80%;
}

/* End Our Services */

/* Start clients */
ul.clientslists{
    list-style:none;
    padding:0;
    margin:0;

    display:flex;
    justify-content:center;
}

ul.clientslists li{
    background-color: #f4f4f4;
    border:5px solid #e9e9e9;
    padding:20px 30px;
    margin:auto;
}

ul.clientslists img{
    width:100px;
}

ul.clientslists li:hover{
    border-color:var(--secondary-color);
    box-shadow:3px -5px 0 rgba(0,0,0,0.3);
}

@media (max-width:768px) {
    ul.clientslists li{
        border:2px solid #e9e9e9;
        padding:10px 20px;
        margin:0 5px;
    }
    
    ul.clientslists img{
        width:70px;
    }
    
    ul.clientslists li:hover{
        box-shadow:1px -2px 0 rgba(0,0,0,0.3);
    }
}

/* End clients */


/* Start customers */
.customers{
    background-image:linear-gradient(
        rgba(0,0,0,0),
        rgba(0,0,0,1)
    ),url('../assets/img/banner/banner3.jpg');
    background-repeat:no-repeat;
    background-size:cover;
    background-position:center;
    background-attachment:fixed;
}
/* End customers */

/* Start request quote */
.qutoes{
    background-color:var(--secondary-color);
    padding:30px 50px;
    margin:-30px;
    
    display: flex;
    justify-content:space-between;
    align-items:center;
}

.qutoes .infos{
    display:flex;
    justify-content:space-between;
}

.qutoes .btn-calls{
    width:170px;
    height:50px;
    font-family:sans-serif;
    background-color:var(--primary-color);
    color:#fff;
    font-size:-15px;
    line-height:50px;
    border:0;
    border-radius:100px;
    padding:0; /*cuz of bootstrap btn effect*/
    transform:translate(-1px);
    
    transition:box-shadow .3s;
}

.qutoes .btn-calls:hover{
    box-shadow:-3px 3px 3px #444;
    transform:translate(0px);
}

.phoneicons{
    width:30px;
}

@media(max-width:768px){
    .phoneicons{
        width:50px;
    }

}

/* End request quote */

/* Start Furniture Service */
.furicons img{
    width:70px;
}

.furicons div:nth-of-type(even){
    background-color:#f1f1f1;
}
/* Emd Furniture Service */

/* Start Contact */
.contacts{
    /* background-image:url('../assets/img/banner/banner3.jpg'); */
    background:linear-gradient(
        100deg,
        rgba(0,0,0,0.9) 50%,
        rgba(0,0,0,0) 30%,
        transparent 70%
    ),url('../assets/img/banner/banner3.jpg');
    background-repeat:no-repeat;
    background-size:cover;
    background-position:center;
    background-attachment:fixed;
}

.contacts .inputs{
    background:transparent;
    border-color:transparent;
    border-bottom:2px solid #ccc;
    border-radius:0;
    color:#fff;

    transition:all .8s;
}

.contacts .inputs:focus{
    box-shadow:none;
    border-bottom:2px solid var(--primary-color);
}

.submit-btns{
    background-color:var(--primary-color);
    color:#fff;
    border:none;

    transition:all .3s;
}

.submit-btns:hover{
    background-color:var(--secondary-color);
    color:#fff;
}


.lables{
    color:#e2e2e2;
    display:block;
    margin-top:-59px;
    margin-left:10px;
    transition:all .5s;
}

.inputs:placeholder-shown + .lables{
    opacity:0;
    /* visibility:hidden; */
    transform:translateY(25px);
}

/* End Contact */


/* Start Footer */
.footerlinks{
    color:#e2e2e2;
    text-decoration:none;
    font-size:13px;
    transition:all .3s;
}

.footerlinks:hover{
    color:orange;
    border-bottom:1px solid orange;
    letter-spacing:1px;
}
/* End Footer */

/*8MF*/